Browser compatibility

For the best experience with our products, we recommend to use the most recently updated and publicly supported version of the following browsers:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Edge

Support of Microsoft Internet Explorer 11

Since 2016, Microsoft has announced changes about the support of Internet Explorer 11. To ensure full compatibility of our products with modern browsers, the support of Internet Explorer 11 will be deprecated in the near future. 

We follow Microsoft recommendations, and strongly recommend upgrading to the latest version, now called Microsoft Edge (Chromium), for better performance, security and compatibility.

For Internet Explorer 11, the following features are already not supported:

  • Embedding our products in other applications
  • SAP Signavio Process Intelligence ETL service
  • SAP Signavio Journey Modeler

Details and our recommendations

Browser Versions Additional information
Google Chrome We support the last 2 versions Chrome Enterprise release notes
Mozilla Firefox We support the latest Extended Support Release (ESR) or newer versions, for details see https://support.mozilla.org/en-US/kb/choosing-firefox-update-channel Last ESR release notes
Microsoft Edge We support the latest 2 versions Public support dates
Microsoft Edge Legacy: The support for this product ended on March 9, 2021
Microsoft Internet Explorer 11 Based on the recommendations of  Microsoft, the support of Internet Explorer 11 is for backward compatibility, Microsoft recommends switching to Microsoft Edge.
Official announcement from Microsoft: “Beginning January 12, 2016, only the most current version of Internet Explorer available for a supported operating system will receive technical support and security updates.”
For Internet Explorer 11, the following features are already not supported:


Embedding our products in other applications

SAP Signavio Process Intelligence ETL service

SAP Signavio Journey Modeler

Safari We support the latest 2 versions
Updates of Safari are included with the Mac operating system.
With Safari on MacOS 10.14, it is not possible to access our products if they are embedded in another application

We don't not support any third-party browser extensions or plug-ins.